Create application
/api/v1/org/{orgId}/app Create Application
Creates a new Stackhawk Application for this organization.
Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id. For more information, see Applications.
| Parameter | Default | Description |
|---|---|---|
| applicationId | "" | The UUID identifier of this application. |
| name | "" | The name of this application. |
| env | "" | The name of this environment. Only set when requesting Application Environments. |
| envId | "" | The UUID identifier of this environment. |
| applicationStatus | "ACTIVE" | The status of this application. Either ACTIVE or ENV_INCOMPLETE. |
| organizationId | "" | The UUID identifier of the organization that owns this application. |
| applicationType | "STANDARD" | The type of this application. |
| cloudScanTarget | {} | Optional Cloud Scan Target configuration. |
The env and envId fields are not populated on the response with this endpoint.
A name is not required to create an application, but it is strongly encouraged.
👥 Teams Supported If the user belongs to a StackHawk Team, a created application will belong to the user's Team.
🧾 Audited This is recorded as
APPLICATION_ADDEDUser Activity.
Requires
write:applicationpermission.
Path parameters
orgIdstring · uuidrequiredUUID identifier for this StackHawk Organization.
Body
A specified status for this new application.
2 available options
ACTIVEENV_INCOMPLETEA specified status for this new application.
2 available options
STANDARDCLOUDOptional Cloud Scanning Target URL.
A specified data type for this new application.
7 available options
NONEPIIPCIFINPKIHIPAAFERPAThe initial environment for this new application.
The host specified when creating a new application
The name of this new application.
The UUID identifier of the organization that will own this application.
A specified risk level for this new application.
4 available options
LOWMEDIUMHIGHCRITICALThe UUID identifier of the team that this application belongs to.
Response
Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id. For more information, see Applications.
The UUID identifier of this application.
The status of this application. Either ACTIVE or ENV_INCOMPLETE.
2 available options
ACTIVEENV_INCOMPLETEThe type of this application.
2 available options
STANDARDCLOUDThe perceived dataType of this application. Currently unused.
7 available options
NONEPIIPCIFINPKIHIPAAFERPAThe name of this environment. Only set when requesting Application Environments.
The UUID identifier of this environment.
The name of this application.
The UUID identifier of the organization that owns this application.
The perceived riskLevel of this application. Currently unused.
4 available options
LOWMEDIUMHIGHCRITICALThe UUID identifier of this application.
The status of this application. Either ACTIVE or ENV_INCOMPLETE.
2 available options
ACTIVEENV_INCOMPLETEThe type of this application.
2 available options
STANDARDCLOUDThe perceived dataType of this application. Currently unused.
7 available options
NONEPIIPCIFINPKIHIPAAFERPAThe name of this environment. Only set when requesting Application Environments.
The UUID identifier of this environment.
The name of this application.
The UUID identifier of the organization that owns this application.
The perceived riskLevel of this application. Currently unused.
4 available options
LOWMEDIUMHIGHCRITICALBad Request
Unauthorized